Summary: German man pages from the Linux Documentation Project
Name: man-pages-de
Version: 0.5
Release: alt1_8
License: GPL+
Group: Documentation
URL: http://www.infodrom.org/projects/manpages-de/
Source: http://www.infodrom.org/projects/manpages-de/download/manpages-de-%{version}.tar.gz
Patch0: man-pages-de-0.3-nolocalfile.patch
Patch1: man-pages-de-0.4-ps_space.patch
BuildArch: noarch
Source44: import.info

%description
Manual pages from the Linux Documentation Project, translated into
German.

%prep

%setup -q -n manpages-de-%{version}
%patch0 -p1
%patch1 -p1

%build
rm -f man1/hostname.*

# part of shadow-utils
rm -f man1/newgrp.*

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/de
for n in 1 2 3 4 5 6 7 8 9 n; do
	mkdir $RPM_BUILD_ROOT/%{_mandir}/de/man$n
done
for i in man*/* COPYRIGHT README; do
	iconv -f ISO-8859-1 -t UTF-8 < $i > $i.new
	mv -f $i.new $i
done
LC_ALL=de_DE make prefix=$RPM_BUILD_ROOT/usr \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir}/de install

rm -f $RPM_BUILD_ROOT%{_mandir}/de/man1/{apropos.1,man.1,whatis.1}*
rm -f $RPM_BUILD_ROOT%{_mandir}/de/man5/man.config.5*

# some files conflict with man-db, so delete them here for now
# see bug #583731
rm $RPM_BUILD_ROOT%{_mandir}/de/man1/{manpath.1,zsoelim.1}*
rm $RPM_BUILD_ROOT%{_mandir}/de/man5/manpath.5*
rm $RPM_BUILD_ROOT%{_mandir}/de/man8/{catman.8,mandb.8}*

%files
%doc CHANGES COPYRIGHT README
%dir %{_mandir}/de
%{_mandir}/de/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_8
- initial fc import

